VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::ResultInfo Class Reference

The `LibraryItem.ResultInfo` class defines the information returned along with the result of a `Create` or `Deploy` method to describe errors, warnings, and informational messages produced by the server. More...

List of all members.

## Public Member Functions
| ResultInfo ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vcenter.ovf.OvfError > | GetErrors ()
| Errors reported by the `Create` or `Deploy` method.
void | SetErrors (global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfError > errors)
| Errors reported by the `Create` or `Deploy` method.
global::System.Collections.Generic.List < vmware.vcenter.ovf.OvfWarning > | GetWarnings ()
| Warnings reported by the `Create` or `Deploy` method.
void | SetWarnings (global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfWarning > warnings)
| Warnings reported by the `Create` or `Deploy` method.
global::System.Collections.Generic.List < vmware.vcenter.ovf.OvfInfo > | GetInformation ()
| Information messages reported by the `Create` or `Deploy` method.
void | SetInformation (global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfInfo > information)
| Information messages reported by the `Create` or `Deploy` method.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.ResultInfo` class defines the information returned along with the result of a `Create` or `Deploy` method to describe errors, warnings, and informational messages produced by the server.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::ResultInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vcenter.ovf.OvfError> vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::GetErrors | ( |  | ) | `[inline]`

Errors reported by the `Create` or `Deploy` method.

These errors would have prevented the `Create` or `Deploy` method from completing successfully.

override int vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vcenter.ovf.OvfInfo> vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::GetInformation | ( |  | ) | `[inline]`

Information messages reported by the `Create` or `Deploy` method.

For example, a non-required parameter was ignored.

global::System.Collections.Generic.List<vmware.vcenter.ovf.OvfWarning> vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::GetWarnings | ( |  | ) | `[inline]`

Warnings reported by the `Create` or `Deploy` method.

These warnings would not have prevented the `Create` or `Deploy` method from completing successfully, but there might be issues that warrant attention.

void vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::SetErrors | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfError > | errors | ) | `[inline]`

Errors reported by the `Create` or `Deploy` method.

These errors would have prevented the `Create` or `Deploy` method from completing successfully.

void vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::SetInformation | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfInfo > | information | ) | `[inline]`

Information messages reported by the `Create` or `Deploy` method.

For example, a non-required parameter was ignored.

void vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::SetWarnings | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.OvfWarning > | warnings | ) | `[inline]`

Warnings reported by the `Create` or `Deploy` method.

These warnings would not have prevented the `Create` or `Deploy` method from completing successfully, but there might be issues that warrant attention.

override string vmware::vcenter::ovf::LibraryItemTypes::ResultInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs